Bug 99434 - [update port] port dns/adns - update to 1.3
Summary: [update port] port dns/adns - update to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-25 00:00 UTC by babak
Modified: 2006-07-02 17:24 UTC (History)
0 users

See Also:


Attachments
adns.patch (2.48 KB, patch)
2006-06-25 00:00 UTC, babak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description babak 2006-06-25 00:00:35 UTC

- update to 1.3
- take maintainership
Comment 1 Stefan Walter freebsd_committer 2006-06-25 15:24:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 2 Stefan Walter freebsd_committer 2006-06-29 18:59:54 UTC
Hi,

I would suggest keeping the link lib/libadns.so, since other applications
might need it to link against the dynamic library.

Could you send an updated patch?

Regards,
Stefan
Comment 3 babak 2006-07-01 17:36:47 UTC
Stefan,

Thanks for the hint. Please find following revised patch:

--- adns.patch begins here ---
diff -ruN adns.orig/Makefile adns/Makefile
--- adns.orig/Makefile	Sat Jul  1 19:50:15 2006
+++ adns/Makefile	Sat Jul  1 19:50:19 2006
@@ -6,13 +6,12 @@
 #
 
 PORTNAME=	adns
-PORTVERSION=	1.2
-PORTREVISION=	1
+PORTVERSION=	1.3
 CATEGORIES=	dns
 MASTER_SITES=	ftp://ftp.chiark.greenend.org.uk/users/ian/adns/ \
 		http://www.chiark.greenend.org.uk/~ian/adns/ftp/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	babak@farrokhi.net
 COMMENT=	Easy to use, asynchronous-capable DNS client library and
utilities
 
 GNU_CONFIGURE=	yes
diff -ruN adns.orig/distinfo adns/distinfo
--- adns.orig/distinfo	Sat Jul  1 19:50:15 2006
+++ adns/distinfo	Sat Jul  1 19:50:19 2006
@@ -1,3 +1,3 @@
-MD5 (adns-1.2.tar.gz) = 4d9ad052125ddd295ee75ea608b992b7
-SHA256 (adns-1.2.tar.gz) =
22423c608fbbfe0335883ae23e8e2b44f65ed1b024b1ce00e926136c3e1cc04a
-SIZE (adns-1.2.tar.gz) = 251919
+MD5 (adns-1.3.tar.gz) = d19cddcc11ce3183549bab7f136e0f73
+SHA256 (adns-1.3.tar.gz) =
c6e2452ca82481d9da88d7745cdb0ffd6c1e54c906f58f57624ad37d353e0d16
+SIZE (adns-1.3.tar.gz) = 252263
diff -ruN adns.orig/files/patch-dynamic::Makefile.in
adns/files/patch-dynamic::Makefile.in
--- adns.orig/files/patch-dynamic::Makefile.in	Sat Jul  1 19:50:15 2006
+++ adns/files/patch-dynamic::Makefile.in	Thu Jan  1 03:30:00 1970
@@ -1,32 +0,0 @@
---- dynamic/Makefile.in.orig	Thu Apr 20 13:15:27 2006
-+++ dynamic/Makefile.in	Thu Apr 20 13:17:43 2006
-@@ -23,7 +23,7 @@
- srcdir=		@srcdir@
- VPATH=		@srcdir@
- 
--TARGETS=	$(SHLIBFILE) $(SHLIBSONAME) $(SHLIBFORLINK)
-+TARGETS=	$(SHLIBFILE) $(SHLIBFORLINK)
- include		$(srcdir)/../settings.make
- include		$(srcdir)/../src/adns.make
- 
-@@ -32,17 +32,13 @@
- install:
- 		mkdir -p $(lib_dir)
- 		$(INSTALL_PROGRAM) $(SHLIBFILE) $(lib_dir)/$(SHLIBFILE)
--		ln -sf $(SHLIBFILE) $(lib_dir)/$(SHLIBSONAME)
--		ln -sf $(SHLIBSONAME) $(lib_dir)/$(SHLIBFORLINK)
-+		ln -sf $(SHLIBFILE) $(lib_dir)/$(SHLIBFORLINK)
- 
- uninstall:
--		rm -f $(lib_dir)/$(SHLIBFILE) $(lib_dir)/$(SHLIBSONAME)
-+		rm -f $(lib_dir)/$(SHLIBFILE)
- 
- $(SHLIBFORLINK):
--		ln -s $(SHLIBSONAME) $(SHLIBFORLINK)
--
--$(SHLIBSONAME):
--		ln -s $(SHLIBFILE) $(SHLIBSONAME)
-+		ln -s $(SHLIBFILE) $(SHLIBFORLINK)
- 
- $(SHLIBFILE):	$(ALLOBJS)
- 		rm -f $@
--- adns.patch ends here ---


--
Babak Farrokhi
babak@farrokhi.net

> -----Original Message-----
> From: Stefan Walter [mailto:stefan@FreeBSD.org]
> Sent: Thursday, June 29, 2006 9:30 PM
> To: GNATS
> Cc: Babak Farrokhi; stefan@freebsd.org
> Subject: Re: ports/99434: [update port] port dns/adns - update to 1.3
> 
> Hi,
> 
> I would suggest keeping the link lib/libadns.so, since other
> applications might need it to link against the dynamic library.
> 
> Could you send an updated patch?
> 
> Regards,
> Stefan
Comment 4 Stefan Walter freebsd_committer 2006-07-02 17:24:17 UTC
State Changed
From-To: open->closed

Committed - thanks for adopting this port!